Rename a connection, switch it between read_only and actions, or change which apps it links.
curl --request PATCH \
--url https://api.appgoat.ai/v1/connections/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"label": "<string>",
"apps": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', apps: ['<string>']})
};
fetch('https://api.appgoat.ai/v1/connections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/connections/{id}"
payload = {
"label": "<string>",
"apps": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "con_x8Hq2mXc0aLpQwRtYb",
"provider": "asc",
"label": "<string>",
"mode": "actions",
"status": "active",
"account": {},
"apps": [
{
"store": "apple",
"app_id": "<string>",
"external_id": "<string>",
"title": "<string>",
"bundle_id": "<string>"
}
],
"last_verified_at": "2023-11-07T05:31:56Z",
"last_error": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"available_apps": [
{
"store": "apple",
"app_id": "<string>",
"external_id": "<string>",
"title": "<string>",
"bundle_id": "<string>"
}
]
},
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}Connections
Update connection
PATCH
/
connections
/
{id}
Rename a connection, switch it between read_only and actions, or change which apps it links.
curl --request PATCH \
--url https://api.appgoat.ai/v1/connections/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"label": "<string>",
"apps": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', apps: ['<string>']})
};
fetch('https://api.appgoat.ai/v1/connections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/connections/{id}"
payload = {
"label": "<string>",
"apps": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "con_x8Hq2mXc0aLpQwRtYb",
"provider": "asc",
"label": "<string>",
"mode": "actions",
"status": "active",
"account": {},
"apps": [
{
"store": "apple",
"app_id": "<string>",
"external_id": "<string>",
"title": "<string>",
"bundle_id": "<string>"
}
],
"last_verified_at": "2023-11-07T05:31:56Z",
"last_error": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"available_apps": [
{
"store": "apple",
"app_id": "<string>",
"external_id": "<string>",
"title": "<string>",
"bundle_id": "<string>"
}
]
},
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}Authorizations
Create a key at https://dash.appgoat.ai.
Path Parameters
Connection id (con_…).
Body
application/json